Name:           plt-scheme
Version:        300
Release:        1%{?dist}
Summary:        Graphical environment for developing programs using Scheme

Group:          Development/Languages
License:        LGPL
URL:            http://www.drscheme.org
Source:		http://download.plt-scheme.org/bundles/300/plt/plt-300-src-unix.tgz
Source1:	drscheme.png
Patch0:		plt-x86_64-lib.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  freetype-devel
BuildRequires:  fontconfig-devel
BuildRequires:	XFree86-devel
BuildRequires:	desktop-file-utils
Obsoletes:	plt, drscheme
Provides:	plt, drscheme, mzscheme, mred, mrflow


%description
DrScheme is an interactive, integrated, graphical programming
environment for the MzScheme programming language, and the MrEd
windowing toolbox.

DrScheme provides source highlighting for syntax and run-time errors,
support for multiple language levels, an algebraic stepper, objects,
modules, a GUI library, TCP/IP, and much more. It includes an
extensive, hyper-linked help system called Help Desk, available from
the Help menu.

You can enhance DrScheme with many add-ons, including MrFlow, a static
debugger.

MzScheme is R5RS-compliant, including the full numerical tower. It
also provides threads (on all platforms), exceptions, modules,
class-based objects, regular-expression matching, TCP/IP, and more.

MrEd provides a windowing toolbox for creating windows and menus; a
drawing toolbox for drawing to windows, bitmaps, and printer devices;
and an editor toolbox for creating multimedia editors.

%prep
%setup -q -n plt
%ifarch x86_64
%patch0 -p1
%endif


%build
cd src
%configure --enable-gl --enable-xrender --enable-xft
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/plt
pushd src
make install prefix=$RPM_BUILD_ROOT%{_libdir}/plt
popd

for i in drscheme framework-test framework-test-engine games gmzc help-desk mzc mzpp mztext pdf-slatex planet setup-plt slatex slideshow swindle tex2page web-server web-server-monitor web-server-text
do
    sed -i -e "s|PLTHOME=.*$|PLTHOME=%{_libdir}/plt|" $RPM_BUILD_ROOT%{_libdir}/plt/bin/$i
done

mkdir -p $RPM_BUILD_ROOT%{_bindir}
pushd $RPM_BUILD_ROOT%{_bindir}
for i in drscheme mred mzc mzscheme setup-plt
do
    ln -sf ../%{_lib}/plt/bin/$i .
done
popd

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp -p $RPM_BUILD_ROOT%{_libdir}/plt/man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1

rm -fr $RPM_BUILD_ROOT%{_libdir}/plt/man
rm -fr $RPM_BUILD_ROOT%{_libdir}/plt/notes
# get-base.ss causes error during install
find $RPM_BUILD_ROOT%{_libdir}/plt -name get-base\* | xargs rm -f

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps

cat > drscheme.desktop <<EOF
[Desktop Entry]
Name=DrScheme
GenericName=Scheme programming
Comment=Programming environment for the Scheme programming language
Exec=drscheme
Terminal=false
Icon=drscheme.png
Type=Application
Encoding=UTF-8
X-Desktop-File-Install-Version=0.4
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora                     \
        --add-category X-Fedora                          \
        --add-category Application                       \
        --add-category Development                       \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
        drscheme.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%post
%{_libdir}/plt/install > /dev/null 2> /dev/null


%files
%defattr(-,root,root,-)
%doc notes/*
%{_bindir}/*
%{_libdir}/plt
%{_mandir}/*/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*


%changelog
* Mon Dec 19 2005 Gerard Milmeister <gemi@bluewin.ch> - 300-1
- New Version 300

* Sat Nov 26 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.400-1
- New Version 299.400

* Sat Oct 15 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-9
- use lib64 instead of lib

* Thu Oct  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-8
- try x86_64 again using patch for disabling dependency checking for openssl

* Thu Oct  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-6
- use %%{_libdir} and %%{_lib} in creating links

* Wed Aug 17 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-4
- Increase font size from 10 to 12

* Tue Aug 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-3
- Added openssl-devel buildreq

* Tue Aug 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-2
- Correct post install procedure

* Fri Aug 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-1
- New Version 299.200

* Sat Apr 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.100-1
- Renamed to plt-scheme

* Sun Mar 27 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.100-1
- New Version 299.100

* Sat Mar 26 2005 Gerard Milmeister <gemi@bluewin.ch> - 209-1
- Renamed package from plt to drscheme

* Sat Dec 18 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:209-0.fdr.1
- New Version 209

* Sat Nov 13 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:208-0.fdr.1
- New Version 208
- Added desktop file
- Added icon

* Sun Nov  9 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:205-0.fdr.1
- First Fedora release

